clang-tools 6.0.0

Classes | Namespaces | Functions | Variables
MPITidyModule.cpp File Reference
`#include "../ClangTidy.h"`
`#include "../ClangTidyModule.h"`
`#include "../ClangTidyModuleRegistry.h"`
`#include "BufferDerefCheck.h"`
`#include "TypeMismatchCheck.h"`
Include dependency graph for MPITidyModule.cpp:

Go to the source code of this file.

## Classes
class | clang::tidy::mpi::MPIModule

## Namespaces
| clang
| clang::tidy
| clang::tidy::mpi

## Functions
static ClangTidyModuleRegistry::Add< mpi::MPIModule > | clang::tidy::X ("mpi-module", "Adds MPI clang-tidy checks.")

## Variables
volatile int | clang::tidy::MPIModuleAnchorSource = 0